सामग्री पर जाएँ

Grok Imagine Video · Image to Video

इंटीग्रेट करें

मॉडल id xai/grok-imagine-video/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.422 422 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
xAI इमेज से वीडियो 1–15 s720p तक #grok#xai#image-to-video#i2v

एक स्थिर इमेज को 480p या 720p में 1 से 15 सेकंड की क्लिप में एनिमेट करता है

xAI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 4096

वीडियो में किए जाने वाले इच्छित बदलावों या गति का टेक्स्ट में विवरण।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

वीडियो बनाने के लिए इनपुट के रूप में उपयोग किया जाने वाला इमेज URL।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो का रिज़ॉल्यूशन।

aspect_ratio डिफ़ॉल्ट auto

परिणामी वीडियो का आस्पेक्ट रेशियो।

डिफ़ॉल्ट 6

वीडियो की लंबाई सेकंड में।

उन्नत enable_safety_checker
POST /run/xai/grok-imagine-video/image-to-video?wait=20 कोटेशन → $0.422
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Grok Imagine Video · Image to Video के बारे में

`image_url` में दी गई इमेज को अधिकतम 4096 वर्णों वाले मोशन प्रॉम्प्ट के अनुसार वीडियो में बदलता है। अवधि 1 से 15 सेकंड तक सेट की जा सकती है (डिफ़ॉल्ट 6), और आउटपुट 480p या 720p होता है। `aspect_ratio` डिफ़ॉल्ट रूप से auto है और इसे 16:9, 1:1 या 9:16 जैसे रेशियो पर बाध्य किया जा सकता है। मौजूदा आर्टवर्क या फ़ोटो से त्वरित मोशन परीक्षणों के लिए उपयुक्त।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 4,096 अक्षर
वीडियो में किए जाने वाले इच्छित बदलावों या गति का टेक्स्ट में विवरण।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट6
1 – 15
वीडियो की लंबाई सेकंड में।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
480p720p
आउटपुट वीडियो का रिज़ॉल्यूशन।
image_urlआवश्यक image
प्रकारurl · image
वीडियो बनाने के लिए इनपुट के रूप में उपयोग किया जाने वाला इमेज URL।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto16:94:33:21:12:33:49:16
परिणामी वीडियो का आस्पेक्ट रेशियो।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 422,
    "usd": "0.422",
    "charged": 422,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/xai/grok-imagine-video/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt